<?php
function pagar($post){
	if(!is_array($post)){
		$post = JSON::json2array($post);
	}
	$rs = new xajaxResponse();
	$rs->assign('mAcierto','style.display','none');
	$rs->assign('mError','style.display','none');
	$mError = '';
	if(!ctype_digit($post['monto']) || $post['monto'] <= 0){
		$mError .= '<div>Error en el monto.</div>';
	}
	if(!ctype_digit($post['pago']) || $post['pago'] <= 0){
		$mError .= '<div>Error en el pago.</div>';
	}
	if(empty($mError)){
		if($post['pago'] > $post['monto']){
			$cancelado = $post['deuda'];
		}else{
			$cancelado = $post['pago'] + ($post['deuda'] - $post['monto']);
		}
	}
	$est = new Estacionamiento();
	$rs->script('$("html, body").animate({scrollTop:0},"slow");');
	if(empty($mError) && $est->pagar($post['cliente'],$cancelado,$post['observacion'])){
		$rs->assign('mAcierto','innerHTML','El pago se ha realizado correctamente.');
		$rs->script('$("#mAcierto").slideDown();');
		$rs->redirect(base.'clientes/'.$post['cliente'],1);
		return $rs;
	}else{
		$mError.='<div>No se pudo realizar el pago.</div>';
	}
	$rs->assign('mError','innerHTML',$mError);
	$rs->script('$("#mError").slideDown();');
	return $rs;
}

// $xajax->configure('debug',true);
// $xajax->configure('errorHandler',true);
// $xajax->configure('logFile','xajax_error_log.log');
$xajax->register(XAJAX_FUNCTION,'pagar');
?>